[shark-hprof](../../../../index.md) / [shark](../../../index.md) / [HprofRecord](../../index.md) / [HeapDumpRecord](../index.md) / [ObjectRecord](./index.md)

# ObjectRecord

`sealed class ObjectRecord : `[`HprofRecord.HeapDumpRecord`](../index.md)

### Types

| Name | Summary |
|---|---|
| [ClassDumpRecord](-class-dump-record/index.md) | `class ClassDumpRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md) |
| [ClassSkipContentRecord](-class-skip-content-record/index.md) | `class ClassSkipContentRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md)<br>This isn't a real record type as found in the heap dump. It's an alternative to [ClassDumpRecord](-class-dump-record/index.md) for when you don't need the class content. |
| [InstanceDumpRecord](-instance-dump-record/index.md) | `class InstanceDumpRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md) |
| [InstanceSkipContentRecord](-instance-skip-content-record/index.md) | `class InstanceSkipContentRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md)<br>This isn't a real record type as found in the heap dump. It's an alternative to [InstanceDumpRecord](-instance-dump-record/index.md) for when you don't need the instance content. |
| [ObjectArrayDumpRecord](-object-array-dump-record/index.md) | `class ObjectArrayDumpRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md) |
| [ObjectArraySkipContentRecord](-object-array-skip-content-record/index.md) | `class ObjectArraySkipContentRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md)<br>This isn't a real record type as found in the heap dump. It's an alternative to [ObjectArrayDumpRecord](-object-array-dump-record/index.md) for when you don't need the array content. |
| [PrimitiveArrayDumpRecord](-primitive-array-dump-record/index.md) | `sealed class PrimitiveArrayDumpRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md) |
| [PrimitiveArraySkipContentRecord](-primitive-array-skip-content-record/index.md) | `class PrimitiveArraySkipContentRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md)<br>This isn't a real record type as found in the heap dump. It's an alternative to [PrimitiveArrayDumpRecord](-primitive-array-dump-record/index.md) for when you don't need the array content. |

### Inheritors

| Name | Summary |
|---|---|
| [ClassDumpRecord](-class-dump-record/index.md) | `class ClassDumpRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md) |
| [ClassSkipContentRecord](-class-skip-content-record/index.md) | `class ClassSkipContentRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md)<br>This isn't a real record type as found in the heap dump. It's an alternative to [ClassDumpRecord](-class-dump-record/index.md) for when you don't need the class content. |
| [InstanceDumpRecord](-instance-dump-record/index.md) | `class InstanceDumpRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md) |
| [InstanceSkipContentRecord](-instance-skip-content-record/index.md) | `class InstanceSkipContentRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md)<br>This isn't a real record type as found in the heap dump. It's an alternative to [InstanceDumpRecord](-instance-dump-record/index.md) for when you don't need the instance content. |
| [ObjectArrayDumpRecord](-object-array-dump-record/index.md) | `class ObjectArrayDumpRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md) |
| [ObjectArraySkipContentRecord](-object-array-skip-content-record/index.md) | `class ObjectArraySkipContentRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md)<br>This isn't a real record type as found in the heap dump. It's an alternative to [ObjectArrayDumpRecord](-object-array-dump-record/index.md) for when you don't need the array content. |
| [PrimitiveArrayDumpRecord](-primitive-array-dump-record/index.md) | `sealed class PrimitiveArrayDumpRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md) |
| [PrimitiveArraySkipContentRecord](-primitive-array-skip-content-record/index.md) | `class PrimitiveArraySkipContentRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](./index.md)<br>This isn't a real record type as found in the heap dump. It's an alternative to [PrimitiveArrayDumpRecord](-primitive-array-dump-record/index.md) for when you don't need the array content. |
